residuals.psych {psych} | R Documentation

## Extract residuals from various psych objects

### Description

Residuals in the various psych functions are extracted and then may be "pretty" printed.

### Usage

    ## S3 method for class 'psych'
    residuals(object,...)
    ## S3 method for class 'psych'
    resid(object,...)

### Arguments

`object` | The object returned by a psych function.
`...` | Other parameters to be passed to residual (ignored but required by the generic function)

### Details

Currently implemented for `fa`, `principal`, `omega`, `irt.fa`, and `fa.extension`.

### Value

residuals: a matrix of residual estimates

### Author(s)

William Revelle

### Examples

    f3 <- fa(Thurstone,3)
    residuals(f3)

[Package psych version 1.6.9 Index]